Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class MDKeywords

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.MDKeywords

    public class MDKeywords

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}keyword" maxOccurs="unbounded"/>
             <element ref="{http://www.isotc211.org/2005/gmd}thesaurusName"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<Keyword>` | `keyword`
`protected ThesaurusName` | `thesaurusName`

Constructor Summary
`MDKeywords()`

Method Summary
`List<Keyword>` | `getKeyword()` Gets the value of the keyword property.
`ThesaurusName` | `getThesaurusName()` Gets the value of the thesaurusName property.
`void` | `setThesaurusName(ThesaurusName value)` Sets the value of the thesaurusName property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyword

    protected List<Keyword> keyword

### thesaurusName

    protected ThesaurusName thesaurusName

Constructor Detail

### MDKeywords

    public MDKeywords()

Method Detail

### getKeyword

    public List<Keyword> getKeyword()

  Gets the value of the keyword property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the keyword property.

  For example, to add a new item, do as follows:

          getKeyword().add(newItem);

  Objects of the following type(s) are allowed in the list `Keyword`

### getThesaurusName

    public ThesaurusName getThesaurusName()

  Gets the value of the thesaurusName property.

  Returns:
    possible object is `ThesaurusName`

### setThesaurusName

    public void setThesaurusName(ThesaurusName value)

  Sets the value of the thesaurusName property.

  Parameters:
    `value` - allowed object is `ThesaurusName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org